Resolves https://dev.openwrt.org/ticket/11192

Signed-off-by: David Woodhouse <dw...@infradead.org>
---
 package/iproute2/Makefile      |    4 +++-
 package/iproute2/files/30-teql |   23 +++++++++++++++++++++++
 2 files changed, 26 insertions(+), 1 deletions(-)
 create mode 100644 package/iproute2/files/30-teql

diff --git a/package/iproute2/Makefile b/package/iproute2/Makefile
index 3b44258..0a2f411 100644
--- a/package/iproute2/Makefile
+++ b/package/iproute2/Makefile
@@ -9,7 +9,7 @@ include $(TOPDIR)/rules.mk
 
 PKG_NAME:=iproute2
 PKG_VERSION:=3.2.0
-PKG_RELEASE:=1
+PKG_RELEASE:=2
 
 PKG_SOURCE:=$(PKG_NAME)-$(PKG_VERSION).tar.gz
 PKG_SOURCE_URL:=http://kernel.org/pub/linux/utils/net/iproute2/
@@ -96,6 +96,8 @@ endef
 define Package/tc/install
        $(INSTALL_DIR) $(1)/usr/sbin
        $(INSTALL_BIN) $(PKG_BUILD_DIR)/tc/tc $(1)/usr/sbin/
+       $(INSTALL_DIR) $(1)/etc/hotplug.d/iface
+       $(INSTALL_BIN) ./files/30-teql $(1)/etc/hotplug.d/iface/
 endef
 
 define Package/genl/install
diff --git a/package/iproute2/files/30-teql b/package/iproute2/files/30-teql
new file mode 100644
index 0000000..231c09f
--- /dev/null
+++ b/package/iproute2/files/30-teql
@@ -0,0 +1,23 @@
+#!/bin/sh
+
+. /etc/functions.sh
+
+if [ "$ACTION" != "ifup" ]; then
+       exit
+fi
+
+config_load network
+
+config_get teql $INTERFACE teql
+
+if [ "$teql" != "" ]; then
+    logger Adding device $DEVICE to TEQL master $teql
+    insmod sch_teql
+    tc qdisc add dev $DEVICE root $teql
+
+    # The kernel doesn't let us bring it up until it has at least one
+    # slave. So bring it up now, if it isn't already.
+    if ! cat /sys/class/net/$teql/carrier &>/dev/null; then
+        ifup $teql &
+    fi
+fi
-- 
1.7.7.6


-- 
dwmw2

Attachment: smime.p7s
Description: S/MIME cryptographic signature

_______________________________________________
openwrt-devel mailing list
openwrt-devel@lists.openwrt.org
https://lists.openwrt.org/mailman/listinfo/openwrt-devel

Reply via email to